RPMDEPS(1)

NAMN
rpmdeps — Generera RPM-paketberoenden

SYNOPSIS
rpmdeps [flaggor] [ÅTGÄRD]

rpmdeps [flaggor] [ÅTGÄRD] FIL …

BESKRIVNING
rpmdeps genererar paketberoenden för en eller flera filer, mottagna antingen som en lista med filnamn på standard in, eller kommandoradsargument.

rpmdeps anropas normalt inte direkt, men att göra det kan vara användbart för att felsöka beroendegenereringen och för att utveckla nya beroendegeneratorer. Rpmdeps installationskatalog kan avgöras med rpm -E "%{_rpmconfigdir}".

Observera att det faktiska kommandot rpmdeps bara används för automatisk beroendegenerering av rpmbuild(1) i kompatibilitetsläge.

ÅTGÄRDER
--alldeps
    Skriv ut alla beroenden.

--conflicts
    Skriv ut konfliktberoendena.

--enhances
    Skriv ut förbättringsberoendena.

--obsoletes
    Skriv ut utfasningsberoendena.

--orderwithrequires
    Skriv ut orderwithrequires-beroendena.

-P, --provides
    Skriv ut tillhandahållandeberoendena.

--recommends
    Skriv ut rekommendationsberoendena.

-R, --requires
    Skriv ut behovsberoendena.

--suggests
    Skriv ut förslagsberoendena.

--supplements
    Skriv ut kompletteringsberoendena.

ARGUMENT
FIL
    En normal fil.

FLAGGOR
Se rpm-common(8) för flaggorna gemensamma för alla åtgärder.

MILJÖ
RPM_BUILD_ROOT
    Prefixsökvägen som skall tas bort när beroenden genereras baserat på faktiska sökvägar.

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
rpmdeps --requires /bin/ls
    Mata ut de automatiska beroendena hos binären ls(1).

find popt-1.19-build/BUILDROOT -type f | /usr/lib/rpm/rpmdeps -P
    Mata ut de automatiska tillhandahållandena från alla filer i katalogen popt-1.\&19-build/BUILDROOT

SE ÄVEN
rpm(8), rpmbuild(1), rpm-common(8)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.